Update recipient
curl --request PATCH \
--url https://api.staging.kathan.tech/recipient-lists/{recipient_list_id}/recipients/{entry_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-User-ID: <api-key>' \
--data '
{
"phone_number": "<string>",
"metadata": {}
}
'import requests
url = "https://api.staging.kathan.tech/recipient-lists/{recipient_list_id}/recipients/{entry_id}"
payload = {
"phone_number": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"X-User-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-User-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({phone_number: '<string>', metadata: {}})
};
fetch('https://api.staging.kathan.tech/recipient-lists/{recipient_list_id}/recipients/{entry_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Recipient Lists
Update recipient
Update a recipient in the list.
PATCH
/
recipient-lists
/
{recipient_list_id}
/
recipients
/
{entry_id}
Update recipient
Authorizations
API key authentication.
Required user id for API key requests.
Response
Successful Response
The response is of type Response Update Recipient Recipient Lists Recipient List Id Recipients Entry Id Patch · object.
Was this page helpful?
⌘I